% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/misc.R
\name{log2FC}
\alias{log2FC}
\title{log2FC}
\usage{
log2FC(x, fromAssay = NULL, controls, by = NULL, isLog = NULL)
}
\arguments{
\item{x}{A numeric matrix, or a `SummarizedExperiment` object}

\item{fromAssay}{The assay to use if `x` is a `SummarizedExperiment`}

\item{controls}{A vector of which samples should be used as controls for
foldchange calculations.}

\item{by}{An optional vector indicating groups/batches by which the controls
will be averaged to calculate per-group foldchanges.}

\item{isLog}{Logical; whether the data is log-transformed. If NULL, will
attempt to figure it out from the data and/or assay name}
}
\value{
An object of same class as `x`; if a `SummarizedExperiment`, will
have the additional assay `log2FC`.
}
\description{
Generates log2(foldchange) matrix/assay
}
\examples{
log2FC( matrix(rnorm(40), ncol=4), controls=1:2 )

}
